Bug 22960 - Typo found in circulation.pref in UpdateItemLocationOnCheckin preference
Summary: Typo found in circulation.pref in UpdateItemLocationOnCheckin preference
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 14576
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-22 06:40 UTC by Héctor Eduardo Castro Avalos
Modified: 2019-06-10 14:55 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22960: Typo found in circulation.pref in UpdateItemLocationOnCheckin preference (2.40 KB, patch)
2019-05-22 12:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22960: Typo found in circulation.pref in UpdateItemLocationOnCheckin preference (2.45 KB, patch)
2019-05-24 17:31 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22960: Typo found in circulation.pref in UpdateItemLocationOnCheckin preference (2.51 KB, patch)
2019-05-27 20:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22960: Fix the same typo on db level for existing and new installations (9.48 KB, patch)
2019-05-27 20:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22960: Typo found in circulation.pref in UpdateItemLocationOnCheckin preference (2.56 KB, patch)
2019-05-28 06:07 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22960: Fix the same typo on db level for existing and new installations (9.51 KB, patch)
2019-05-28 06:07 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22960: (follow-up) Fix another tiny typo (1.46 KB, patch)
2019-06-02 09:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22960: (RM follow-up) Correct a further typo (9.52 KB, patch)
2019-06-04 09:09 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2019-05-22 06:40:36 UTC
Typo found in circulation.pref in line 548.

Paragraph: - "The special term _BLANK_ may be used on either side of a value pair to update or remove the location from items with no locaiton assigned.<br/>"
Typo: "locaiton"

Permalink to github: https://github.com/Koha-Community/Koha/blob/0ed7cc0c577720f262110427ebe4d0922aa6ca99/koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref#L548
Comment 1 Owen Leonard 2019-05-22 12:46:43 UTC Comment hidden (obsolete)
Comment 2 Bin Wen 2019-05-24 17:31:38 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-05-27 20:38:17 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2019-05-27 20:38:20 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2019-05-27 20:39:33 UTC
I think I went a little far with the follow-up... someone minding giving it a sign-off?
Comment 6 Josef Moravec 2019-05-28 06:07:50 UTC
Created attachment 90138 [details] [review]
Bug 22960: Typo found in circulation.pref in UpdateItemLocationOnCheckin preference

This patch corrects a typo in circulation.pref in the description of the
UpdateItemLocationOnCheckin preference.

To see the problem, go to Administration -> System preferences ->
Circulation and look at the description for the
UpdateItemLocationOnCheckin preference:

"The special term _BLANK_ may be used on either side of a value pair to
update or remove the location from items with no locaiton assigned."

Note the misspelling "locaiton."

To test, apply the patch and refresh the circulation preferences page.
The typo should be fixed.

Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Josef Moravec 2019-05-28 06:07:57 UTC
Created attachment 90140 [details] [review]
Bug 22960: Fix the same typo on db level for existing and new installations

Seriously trying to kill the typo everywhere:
- Check your DB with a report:
  select * from systempreferences where variable = 'UpdateItemLocationOnCheckin';
- Verify the typo in the explanation column: locaiton
- Apply patch and run database update
- Verify the typo is fixed

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Katrin Fischer 2019-05-28 06:59:04 UTC
Thanks Josef!
Comment 9 Katrin Fischer 2019-06-02 09:19:01 UTC
Created attachment 90265 [details] [review]
Bug 22960: (follow-up) Fix another tiny typo

This only seems to appear in the .pref file:

...pairs. the => ... pairs. The
Comment 10 Martin Renvoize 2019-06-04 09:08:03 UTC
Nice work!

Pushed to master for 19.11.00
Comment 11 Martin Renvoize 2019-06-04 09:09:15 UTC
Created attachment 90306 [details] [review]
Bug 22960: (RM follow-up) Correct a further typo

"This a list" changed to "This is a list"

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 12 Fridolin SOMERS 2019-06-10 14:55:20 UTC
Pushed to 19.05.x for 19.05.01